package cn.com.poc.data_analyze.query;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;

import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for ChannelPointsConoutQuery
 */
@Entity
public class ChannelPointsCountQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * channel
     * channel
     */
    private java.lang.String channel;

    @Column(name = "channel")
    public java.lang.String getChannel() {
        return this.channel;
    }

    public void setChannel(java.lang.String channel) {
        this.channel = channel;
    }

    /**
     * total_point
     * total_point
     */
    private java.lang.Double totalPoints;

    @Column(name = "total_points")
    public java.lang.Double getTotalPoints() {
        return this.totalPoints;
    }

    public void setTotalPoints(java.lang.Double totalPoint) {
        this.totalPoints = totalPoint;
    }

} 